# Simple component buildsystem
if HAVE_DB4O
include $(top_srcdir)/build.plugins.rules.mk
else
EXTRA_DIST = $(FILES)
endif

ASSEMBLY = File
TARGET = library

FILES = \
	src/FilePlugin.cs

REFERENCES =  \
	$(BANSHEE_INDEXER_LIBS) \
	$(DB4O_LIBS) \
	$(LOG_4_NET_LIBS) \
	$(NINI_LIBS) \
	$(TAGLIB_SHARP_LIBS) \
	System \
	System.Core

PROJECT_REFERENCES = \
	daap-sharp \
	Tangerine
